Subject: bug#508 closed by Chong Yidong <[email-masked]> (Re: bug#508: emacs 22.2.1 becomes confused)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#508: emacs 22.2.1 becomes confused

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
508: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=508
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Thu Jul 31 14:17:14 2008
From: Chong Yidong <[email-masked]>
To: [email-masked]
Subject: Re: bug#508: emacs 22.2.1 becomes confused
Date: Thu, 31 Jul 2008 17:17:07 -0400

Since no one has offered to write a directory-case-sensitive-p function,
I've checked in Sven's first, simpler patch.  Even if it doesn't do the
completely right thing in the failure case (e.g., a vfat home directory
on GNU/Linux), all that does is fail to replace $HOME with ~, which is
hardly fatal.

After the release, if someone wants to write directory-case-sensitive-p,
we can switch to that.

>From [email-masked] Mon Jun 30 08:03:20 2008
Date: Mon, 30 Jun 2008 08:03:12 -0700
From: "Bruce Korb" <[email-masked]>
To: [email-masked]
Subject: emacs 22.2.1 becomes confused
Cc: "Bruce Korb" <[email-masked]>

Hi,

I recently re-installed my system.  For various reasons not worth
going into here,
I renamed my home directory from /home/foo to /home/Foo and re-created my
"foo" user name.  It is not possible to edit anything in the /home/Foo hierarchy
with emacs.  At all.  I can cd to the correct directory and invoke "emacs file"
and it will try to open the equivalently named file under /home/foo.  Somebody
somewhere fiddled some code such that tab-completion works correctly, but
when it comes to actually "visiting" the file, the blasted thing substitutes
"$HOME" for "/home/Foo".  Someone please be kind enough to find that
"strncasecmp" and replace it with "strncmp" and put out an emergency fix.

Thank you.  Regards, Bruce

$ /usr/bin/emacs --version
GNU Emacs 22.2.1
Copyright (C) 2008 Free Software Foundation, Inc.